Bug 523835 - My brightness-up key is being misinterpreted as XF86Forward
My brightness-up key is being misinterpreted as XF86Forward
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-16 15:45 EDT by Zack Cerza
Modified: 2012-06-26 02:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2009-09-16 15:45:32 EDT
On my Thinkpad X200, my brightness-down key works but my brightness-up key does not. Turns out that it's being misinterpreted as XF86Forward, somehow.

The laptop does have back/forward keys, which are working properly. xev says the forward key has a keycode of 167, which is what XKeysymToKeycode finds for XF86Forward. xev also says that my brightness-up key has a keycode of 233.

kernel-2.6.31-2.fc12.x86_64
Comment 1 Bug Zapper 2009-11-16 07:31:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 05:58:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-05 01:23:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Zack Cerza 2010-12-06 12:08:14 EST
Yeah, this is *still* a problem.
Comment 5 Dave Jones 2011-09-28 16:02:58 EDT
this is probably an X bug.

can you run evtest, and see what that says ?
Comment 6 Peter Hutterer 2012-06-26 02:09:11 EDT
This bug was filed against Fedora 14 which is now EOL. Please re-open this bug if you still experience this issue with one of the currently suppported versions of Fedora. Don't forget to update the version field if you do so.

Note You need to log in before you can comment on or make changes to this bug.